$(document).ready(function()
{
    $(document).on('click', '.btn-remove', function()
    {
        if($(this).parents('.table-details > tbody').find('tr').size() > 1)
        {
            $(this).closest('tr').remove();
        }
        else
        {
            $(this).closest('tr').find('input,select').val('');
        }
    });
})
